Ré-organisatrion stage3 et stage5 comme les stages 0 à 2
[hvlinux.git] / stage5 / bootscripts / sendmail
diff --git a/stage5/bootscripts/sendmail b/stage5/bootscripts/sendmail
new file mode 100755 (executable)
index 0000000..14aea57
--- /dev/null
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+# sendmail
+
+# Source functions library
+source /etc/rc.d/init.d/functions
+
+log_script_name "$0 $*"
+
+case "$1" in
+    start)
+       cmd_run_log_box_warn "sendmail start" loadproc /usr/sbin/sendmail -bs -bd -q5m start
+        ;;
+
+    stop)
+       cmd_run_log_box_warn "sendmail stop" killproc sendmail
+        ;;
+
+    reload)
+        cmd_run_log_box_warn reloadproc sendmail
+        ;;
+                
+    restart)
+        $0 stop
+        sleep 1
+        $0 start
+        ;;
+
+    status)
+        statusproc sendmail
+        ;;
+    
+    *)
+       echo "Usage: $0 {start|stop|reload|restart|status}"
+       exit ${EXIT_CODE_FAILURE}
+       ;;
+esac
+
+exit $?